Bug 837001 - Watchman: java defunct process causes high load
Watchman: java defunct process causes high load
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
: FutureFeature, Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-07-02 09:32 EDT by Kenny Woodson
Modified: 2015-05-14 18:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-07-09 11:23:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kenny Woodson 2012-07-02 09:32:29 EDT
Description of problem:

We have a lingering problem where a java process will go defunct and cause a server to have high load.  This in turn causes httpd to slow as the server's performance degrades.

Version-Release number of selected component (if applicable):


How reproducible:

This java defunct process happens pretty often.

Steps to Reproduce:
1. Wait for a java process to go defunct
2. Login to monitor the process
Actual results:

Java defunct process causes the server to have high load which in turn brings down the performance of the box.

Expected results:

Watchman detects the process is defunct.
Watchman kills the selected user's apps with killall -9 -u <uuid>
Watchman restarts the user's app
Nobody loses any sleep and applications play nicely together.

Additional info:
Comment 1 Jhon Honce 2012-07-09 11:23:01 EDT
US2523: Enhance Watchman to monitor process table for defunct java processes


Note You need to log in before you can comment on or make changes to this bug.